package BD;

import gerenciamento_produto.Produto;

import java.sql.Connection;
import java.sql.PreparedStatement;
import java.sql.ResultSet;
import java.sql.SQLException;

public class PegaProdutos {

	public Produto buscar_produtos(Produto produtos) throws SQLException {
		try {

			Connection con = ConnectionFactory.getConnection();

			PreparedStatement stmt0 = con.prepareStatement("" +
					"CREATE TABLE `produtos` (" +
					"`nome` VARCHAR( 255 ) NOT NULL ," +
					"`valor` INT( 12 ) NOT NULL ," +
					"`disponivel` INT( 12 ) NOT NULL ," +
					"PRIMARY KEY ( `nome` )" +
					") ENGINE = innodb;");

			stmt0.execute();
			stmt0.close();

			InsereProduto.InsereProdutos();
			
			PreparedStatement stmt = con
					.prepareStatement("select * from produtos");
			ResultSet rs = stmt.executeQuery();
			String[] a1 = new String[255];
			int[] a2 = new int[255];
			int cont = 0;
			while (rs.next()) {
				a1[cont] = rs.getString("nome");
				a2[cont] = rs.getInt("valor");
				cont++;
			}
			produtos.setProduto(a1);
			produtos.setPreco(a2);

			rs.close();
			stmt.close();
			con.close();
			return produtos;
		} catch (SQLException e) {

			Connection con = ConnectionFactory.getConnection();
			PreparedStatement stmt = con
					.prepareStatement("select * from produtos");
			ResultSet rs = stmt.executeQuery();
			String[] a1 = new String[255];
			int[] a2 = new int[255];
			int cont = 0;
			while (rs.next()) {
				a1[cont] = rs.getString("nome");
				a2[cont] = rs.getInt("valor");
				cont++;
			}
			produtos.setProduto(a1);
			produtos.setPreco(a2);

			rs.close();
			stmt.close();
			con.close();
			return produtos;
		}

	}
}
